# Glib::KeyFileError Class Reference

Exception class for KeyFile errors. More...

Inherits Glib::Error.

Collaboration diagram for Glib::KeyFileError:
[legend]

List of all members.

## Public Types

enum | Code { UNKNOWN_ENCODING, PARSE, NOT_FOUND, KEY_NOT_FOUND, GROUP_NOT_FOUND, INVALID_VALUE }

## Public Member Functions

| KeyFileError (Code error_code, const Glib::ustring& error_message)
| KeyFileError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for KeyFile errors.

## Member Enumeration Documentation

enum Glib::KeyFileError::Code

Enumerator:

  UNKNOWN_ENCODING |
  PARSE |
  NOT_FOUND |
  KEY_NOT_FOUND |
  GROUP_NOT_FOUND |
  INVALID_VALUE |

## Constructor & Destructor Documentation

Glib::KeyFileError::KeyFileError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::KeyFileError::KeyFileError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::KeyFileError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- glibmm/keyfile.h